[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: Wrong version number listed in startup file for 2.13.37

From: Valentin Villenave
Subject: Re: Wrong version number listed in startup file for 2.13.37
Date: Wed, 27 Oct 2010 17:13:06 +0200

On Wed, Oct 27, 2010 at 4:23 PM, Carl Sorensen <address@hidden> wrote:

Carl, I believe you forgot to answer on-list...

> I think the only thing that may  be wrong with the version number is that it
> could be 2.12 instead of 2.12.0.

Indeed. Perhaps it would be preferable, if we don't update it automatically.

> The file doesn't use any features that have had a convert-ly rule since
> forever, so convert-ly doesn't update it (it doesn't need to).
> As part of the new stable release, it will be updated to 2.14.
> In the development release, we deliberately don't update stuff unless it
> needs to be.

I agree. One could make a point that it is confusing for users to
download an application with a specific version number, and then see
another version number in the very first file they open. I can imagine
a solution where the source .ly file would only contain @VERSION@,
that would be automatically replaced with the correct number during
GUB build (much like what we already do with the mingw NSIS

That doesn't address, however, the most annoying thing IMO: this
"Welcome" file should definitely be localized somehow.
(Actually, perhaps we *should* move these OS-specific files to the GUB
repo instead of the main LilyPond repo. It would make more sense, I


reply via email to

[Prev in Thread] Current Thread [Next in Thread]